import { TransformationType } from './transformation-type.enum';
import { Direction } from './direction.enum';
export declare class CoordinatesService {
    transform(value: string | number | null, transformationType: TransformationType, direction?: Direction): string | number;
    isValueValid(value: string | number | null, direction?: Direction): boolean;
    transformToDigit(value: string | number): number;
    transformToDegrees(value: string | number, direction?: Direction): string;
    isValidDegree(value: string | number | null, direction?: Direction): boolean;
    isValidDigit(value: string | number | null, direction?: Direction): boolean;
    private isValidDegreeFormat(value);
    private transformNumberToDegrees(value);
    private transformDegreesToNumber(value);
    private isMinusHemisphere(value);
    private sumDegreeValues(values);
    private resolveDirection(degrees, direction);
    private extractValuesFromDegrees(value);
    private getDirectionBoundaries(direction?);
}
